import request from '@/utils/request'

// 审批处理
export function handle(data) {
  return request({
    url: '/branch/member/handle',
    method: 'put',
    data: data
  })
}

// 转移申请
export function applyMember(data) {
  return request({
    url: '/branch/member/apply',
    method: 'put',
    data: data
  })
}

// 查询支部成员管理列表
export function listPoliticalBirthday(query) {
  return request({
    url: '/branch/member/listPoliticalBirthday',
    method: 'get',
    params: query
  })
}

// 查询支部成员管理列表
export function listMember(query) {
  return request({
    url: '/branch/member/list',
    method: 'get',
    params: query
  })
}

// 查询支部成员管理详细
export function getMember(memberId) {
  return request({
    url: '/branch/member/' + memberId,
    method: 'get'
  })
}

// 新增支部成员管理
export function addMember(data) {
  return request({
    url: '/branch/member',
    method: 'post',
    data: data
  })
}

// 修改支部成员管理
export function updateMember(data) {
  return request({
    url: '/branch/member',
    method: 'put',
    data: data
  })
}

// 删除支部成员管理
export function delMember(memberId) {
  return request({
    url: '/branch/member/' + memberId,
    method: 'delete'
  })
}
